org.eclipse.emf.cdo.util

## Class InvalidObjectException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.emf.cdo.common.util.CDOException
        - - org.eclipse.emf.cdo.util.InvalidObjectException

- All Implemented Interfaces:
    Serializable

      public class InvalidObjectException
      extends CDOException

  Exception occurs when an object isn't valid anymore. It was valid when we create it, but not anymore. The cause could be that another `CDOTransaction` removed it.
  Since:
    2.0
  Author:
    Simon McDuff
  See Also:
    Serialized Form
  No Extend
    This interface is not intended to be extended by clients.
  No Instantiate
    This class is not intended to be instantiated by clients.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidObjectException(CDOID id, CDOBranchPoint branchPoint)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidObjectException

          public InvalidObjectException(CDOID id,
                                        CDOBranchPoint branchPoint)

      Since:
        3.0

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html